%global commit          c709b71d43989e43058150df0eec075d5c4f7566
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:		threshcrypt
Version:	0
Release:	0.1.git%{shortcommit}%{?dist}
Summary:	A password-based implementation of threshold encryption

Group:		Applications/Communications
License:	BSD
URL:		https://github.com/ryancdotorg/threshcrypt
Source0:	https://github.com/ryancdotorg/threshcrypt/archive/%{commit}/ryancdotorg/threshcrypt-%{shortcommit}.tar.gz

BuildRequires:	libtomcrypt-devel
BuildRequires:	libgfshare-devel

%description
Utility to encrypt plaintext using threshold encryption, using multiple
passwords on the input and requiring a fraction thereof to decrypt the
ciphertext.

%prep
%setup -q -n threshcrypt-%{commit}


%build
make %{?_smp_mflags}


%install
install -d $RPM_BUILD_ROOT/%{_bindir}
install -m 0755 threshcrypt $RPM_BUILD_ROOT/%{_bindir}/threshcrypt


%files
%{_bindir}/threshcrypt



%changelog
* Wed Feb 08 2017 RJ Bergeron - 0-0.1.gitc709b711
- initial package


